"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "s-coupon-card",
  props: {
    list: {
      type: Array,
      default() {
        return [
          {
            title: "已领取",
            value: "0",
            icon: "/static/img/shop/order/nouse_coupon.png",
            path: "/pages/coupon/list",
            type: "geted"
          },
          {
            title: "已使用",
            value: "0",
            icon: "/static/img/shop/order/useend_coupon.png",
            path: "/pages/coupon/list",
            type: "used"
          },
          {
            title: "已失效",
            value: "0",
            icon: "/static/img/shop/order/out_coupon.png",
            path: "/pages/coupon/list",
            type: "expired"
          },
          {
            title: "领券中心",
            value: "0",
            icon: "/static/img/shop/order/all_coupon.png",
            path: "/pages/coupon/list",
            type: "all"
          }
        ];
      }
    }
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props.list, (item, k0, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.icon),
            b: common_vendor.t(item.title),
            c: item.title,
            d: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.path, {
              type: item.type
            }), item.title),
            e: common_vendor.n(item.type === "all" ? "menu-wallet" : "ss-flex-1")
          };
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-245dca84"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-coupon-card/s-coupon-card.vue"]]);
wx.createComponent(Component);
